IF EXISTS(SELECT [NAME] FROM SYS.tables WHERE [NAME]='HRANDEVU')
BEGIN
    IF EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HRANDEVU]') AND name = N'IX_HRANDEVU_HMUAYENEISLID')
    BEGIN
		  CREATE NONCLUSTERED INDEX [IX_HRANDEVU_HMUAYENEISLID] ON [dbo].[HRANDEVU]
		  (
			  [HMUAYENEISLID] ASC,
			  [RANDEVUID] ASC
		  )
		  INCLUDE
		  (
			  [RTARIH],
			  [RSAAT],
			  [RANDDURUMID],
			  [RTARIHSAAT]
		  )
		  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = ON, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
    END
    ELSE
    BEGIN

		  CREATE NONCLUSTERED INDEX [IX_HRANDEVU_HMUAYENEISLID] ON [dbo].[HRANDEVU]
		  (
			  [HMUAYENEISLID] ASC,
			  [RANDEVUID] ASC
		  )
		  INCLUDE
		  (
			  [RTARIH],
			  [RSAAT],
			  [RANDDURUMID],
			  [RTARIHSAAT]
		  )
		  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
    END
END